List buying group orders
curl --request GET \
--url https://app.churningtracker.com/api/v1/buying-group-orders \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/buying-group-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/buying-group-orders"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "0b6f3c1e-8f4a-4c2e-9d55-2f1a7e3b9c10",
"source": "api",
"orderDate": "2026-10-01",
"orderTime": null,
"retailer": "Best Buy",
"orderNumber": "BBY01-123456",
"retailerAccount": null,
"subtotal": 119998,
"shipping": 0,
"tax": 4800,
"discount": 0,
"total": 124798,
"creditCardId": null,
"subCreditCardId": null,
"cardEarnRate": 0,
"notes": null,
"trackingNumbers": [
{
"trackingNumber": "1Z999AA10123456784",
"carrier": "ups",
"itemCount": null
}
],
"cashback": null,
"createdAt": "2026-10-01T18:30:00.000Z",
"buyingGroup": "bfmr",
"status": "shipped",
"expectedPayout": 124000,
"orderLineItems": [
{
"id": "c2d0a8f4-1b7e-4f0a-8a3e-5b6c7d8e9f01",
"description": "iPad Air",
"model": "MV273LL/A",
"unitPrice": 59999,
"quantity": 2,
"expectedUnitPayout": 62000
}
]
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Buying group orders
List buying group orders
GET
/
buying-group-orders
List buying group orders
curl --request GET \
--url https://app.churningtracker.com/api/v1/buying-group-orders \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/buying-group-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/buying-group-orders"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "0b6f3c1e-8f4a-4c2e-9d55-2f1a7e3b9c10",
"source": "api",
"orderDate": "2026-10-01",
"orderTime": null,
"retailer": "Best Buy",
"orderNumber": "BBY01-123456",
"retailerAccount": null,
"subtotal": 119998,
"shipping": 0,
"tax": 4800,
"discount": 0,
"total": 124798,
"creditCardId": null,
"subCreditCardId": null,
"cardEarnRate": 0,
"notes": null,
"trackingNumbers": [
{
"trackingNumber": "1Z999AA10123456784",
"carrier": "ups",
"itemCount": null
}
],
"cashback": null,
"createdAt": "2026-10-01T18:30:00.000Z",
"buyingGroup": "bfmr",
"status": "shipped",
"expectedPayout": 124000,
"orderLineItems": [
{
"id": "c2d0a8f4-1b7e-4f0a-8a3e-5b6c7d8e9f01",
"description": "iPad Air",
"model": "MV273LL/A",
"unitPrice": 59999,
"quantity": 2,
"expectedUnitPayout": 62000
}
]
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Authorizations
Your API key, starting with ct_key_.
Your API secret, starting with ct_secret_.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
purchased, shipped, partially_delivered, delivered, partially_received, received, partially_paid, issue, paid, cancelled Exact retailer name, case-insensitive.
Exact order number.
Earliest order date, inclusive.
Latest order date, inclusive.